using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RezerveBeliteHavaPeimaCS
{
    public partial class rptMoshtarianfrm : Form
    {
        DataSet1 d1 = new DataSet1();

        public rptMoshtarianfrm()
        {
            InitializeComponent();
        }

        private void rptMoshtarianfrm_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'DataSet1.Custumers' table. You can move, or remove it, as needed.
            this.CustumersTableAdapter.Fill(this.DataSet1.Custumers);
            SqlConnection con = new SqlConnection();
            con.ConnectionString = Properties.Settings.Default.RezerveBelitTotal_DataConnectionString.ToString();
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;

            cmd.CommandText = @"SELECT     TOP 100 PERCENT CustomerID, NameSname, PhoneNum, FaxNum, Notes FROM        Custumers  ORDER BY CustomerID";

            SqlDataAdapter da = new SqlDataAdapter(cmd);
            
            con.Open();
            da.Fill(d1, "Custumers");
            con.Close();
            CustumersBindingSource.DataSource = d1;
            this.reportViewer1.RefreshReport();
            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;
        }
    }
}